Index: pykota/trunk/LICENSE
===================================================================
--- pykota/trunk/LICENSE (revision 2303)
+++ pykota/trunk/LICENSE (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/contributed/README
===================================================================
--- pykota/trunk/contributed/README (revision 2303)
+++ pykota/trunk/contributed/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/debian/README
===================================================================
--- pykota/trunk/debian/README (revision 2303)
+++ pykota/trunk/debian/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/logos/README
===================================================================
--- pykota/trunk/logos/README (revision 2303)
+++ pykota/trunk/logos/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/conf/README
===================================================================
--- pykota/trunk/conf/README (revision 2303)
+++ pykota/trunk/conf/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/docs/installation.sgml
===================================================================
--- pykota/trunk/docs/installation.sgml (revision 2361)
+++ pykota/trunk/docs/installation.sgml (revision 2478)
@@ -438,8 +438,8 @@
       For each Print Server on which you plan to implement the print quota
       mechanism, you have, of course, to have an already working printing environment. 
-      Currently <application>PyKota</application> works with either 
+      Currently <application>PyKota</application> works with 
       <ulink url="http://www.cups.org"><application>CUPS</application></ulink>
-      or <ulink url="http://lprng.sourceforge.net"><application>LPRng</application></ulink>,
-      but more printing systems may be added in the future.
+      but older releases also supported <ulink url="http://lprng.sourceforge.net"><application>LPRng</application></ulink>.
+      <application>LPRng</application> support might be re-added in the future.
     </para>
     
@@ -451,8 +451,6 @@
         <listitem>
           <para>
-            <application>CUPS</application> version 1.1.14 or above, or <application>LPRng</application>
-            version 3.8.27 or above (it probably works with older versions but this is untested).
-            You can download them from <ulink url="http://www.cups.org">http://www.cups.org</ulink>
-            or <ulink url="http://lprng.sourceforge.net">http://lprng.sourceforge.net</ulink>
+            <application>CUPS</application> version 1.1.14 or above.
+            You can download it from <ulink url="http://www.cups.org">http://www.cups.org</ulink>
           </para>
         </listitem>  
@@ -517,10 +515,10 @@
               <listitem>
                 <para>
-                  MySQL backend : TODO
+                  MySQL backend : Not supported yet.
                 </para>
               </listitem>
               <listitem>
                 <para>
-                  Berkeley DB backend : TODO
+                  Berkeley DB backend : Not supported yet.
                 </para>
               </listitem>
@@ -560,5 +558,5 @@
         <listitem>
           <para>
-            The <application>pysnmp</application> Python module version 3.4.2 or 3.4.3 exclusively. 
+            The <application>pysnmp</application> Python module version 3.4.2, 3.4.3 or 3.4.4 exclusively. 
             You can download it from <ulink url="http://pysnmp.sourceforge.net">http://pysnmp.sourceforge.net</ulink>.
           </para>
@@ -586,4 +584,10 @@
             The <application>PyOSD</application> Python module. 
             You can download it from <ulink url="http://repose.cx/pyosd/">http://repose.cx/pyosd/</ulink>.
+          </para>
+        </listitem>  
+        <listitem>
+          <para>
+            The <application>pkpgcounter</application> Generic Page Description Language parser. 
+            You can download it from <ulink url="http://www.librelogiciel.com/software/">http://www.librelogiciel.com/software/</ulink>.
           </para>
         </listitem>  
@@ -684,6 +688,6 @@
       ensure that no normal user can read this file. It should only be readable
       by the <literal>root</literal> user, which is always the case, and by 
-      <application>PyKota</application> administrators. In addition, <application>LPRng</application>
-      users, or users for which <application>CUPS</application> doesn't run as user <literal>root</literal> will 
+      <application>PyKota</application> administrators. In addition,
+      users for which <application>CUPS</application> doesn't run as user <literal>root</literal> will 
       have to ensure that the user their printing system is run as
       can read both of these files. An easy way to do so is to put the <literal>lp</literal> user
@@ -832,57 +836,4 @@
     </sect2>
     
-    <sect2>
-      <title>With LPRng</title>
-      
-      <para>
-        For each printer on which you want to use <application>PyKota</application>, just modify the printer's 
-        entry in <filename>/etc/printcap</filename> : you have to add
-        the three following lines :
-        
-<screen>        
-  :achk=true:\
-  :as=/usr/share/pykota/lprngpykota:\
-  :ae=/usr/share/pykota/lprngpykota:\
-</screen>          
-
-        This will tell <application>LPRng</application> to activate accounting, and use the <filename>lprngpykota</filename> 
-        accounting filter both at the start and at the end of printing. 
-      </para>
-      
-      
-      <para>
-        Repeat the above procedure for each print queue on which you want to use
-        PyKota. That's all !
-      </para>
-      
-      <para>
-        When all modifications are done, just save the <filename>/etc/printcap</filename> file 
-        and restart <application>LPRng</application> for the changes to take effect : 
-        <screen>
-$ /etc/init.d/lprng restart        
-        </screen>
-      </para>
-      
-      <sect3>
-        <title>Troubleshooting</title>
-        <para>
-          In case of problem, the simplest way to solve it is currently
-          to ask on PyKota's mailing list, describing the symptoms, as
-          well as the hardware and software you use.
-          In a future release of this document, a section dedicated to 
-          Frequently Asked Questions will be included.
-        </para>
-        
-        <para>
-          You can now also ask us questions on IRC :
-          <screen>
-/server irc.freenode.net          
-/join #pykota
-          </screen>
-        </para>
-      </sect3>  
-      
-    </sect2>
-    
   </sect1>  
 </chapter>
Index: pykota/trunk/docs/pykota.sgml
===================================================================
--- pykota/trunk/docs/pykota.sgml (revision 2468)
+++ pykota/trunk/docs/pykota.sgml (revision 2478)
@@ -22,5 +22,5 @@
   <bookinfo>
     <title>PyKota Documentation</title>
-    <subtitle>A full featured Print Quota Solution for CUPS and LPRng</subtitle>
+    <subtitle>A full featured Print Quota Solution for CUPS</subtitle>
     <copyright>
       <year>2003</year>
@@ -53,5 +53,5 @@
       <para>
         This document will describe the setup of the PyKota Print Quota system
-        for the Common UNIX Printing Environment and LPRng, and its day-to-day use.
+        for the Common UNIX Printing System, and its day-to-day use.
       </para>
     </abstract>
Index: pykota/trunk/docs/filterpykota.sgml
===================================================================
--- pykota/trunk/docs/filterpykota.sgml (revision 2147)
+++ pykota/trunk/docs/filterpykota.sgml (revision 2478)
@@ -1,8 +1,8 @@
-<!-- $Id$ -->
+<!-- $Id: filterpykota.sgml 1454 2005-03-06 16:52:43Z jerome $ -->
 
 <chapter>
   <title id="filter">PyKota's internals</title>
   
-  <para>Last modified on $Date$</para>
+  <para>Last modified on $Date: 2005-03-06 17:52:43 +0100 (dim, 06 mar 2005) $</para>
   
   <para>
@@ -15,6 +15,5 @@
     </footnote>  
     , you must plug your accounting
-    system somewhere into the printing system you use, be it either <application>CUPS</application>
-    or <application>LPRng</application>. One way to do this without having
+    system somewhere into the printing system you use. One way to do this without having
     to modify the printing system itself, is by using a <firstterm>filter</firstterm>.
   </para>
@@ -26,5 +25,5 @@
     PostScript data as its input, and, as its name implies, outputs PostScript data too, but after having
     eventually rearranged the pages to fit several pages on a single sheet of paper, or other manipulations
-    like that. <application>LPRng</application> also contains several filters like this.
+    like that.
   </para>
   
@@ -36,14 +35,6 @@
   
   <para>
-    <application>LPRng</application> can also use filters, often used in combination with
-    <application>LPRng</application> are <application>magicfilter</application> which can convert 
-    different input formats to native printers languages like PostScript or ESC/P2 and 
-    <application>ifhp</application> which can do low-level accounting.
-  </para>  
-  
-  <para>
     So to do its own accounting, <application>PyKota</application> has its own filters, for <application>CUPS</application>
-    it's named <filename>cupspykota</filename>, which is in fact a <application>CUPS</application> backends wrapper,
-    and for <application>LPRng</application> it's named <filename>lprngpykota</filename>, as you have probably guessed.
+    it's named <filename>cupspykota</filename>, which is in fact a <application>CUPS</application> backends wrapper.
     The procedure to plug the correct filter into your printing system is described in the 
     <xref linkend="installation" endterm="installation"> chapter.
Index: pykota/trunk/docs/dumpykota.sgml
===================================================================
--- pykota/trunk/docs/dumpykota.sgml (revision 2266)
+++ pykota/trunk/docs/dumpykota.sgml (revision 2478)
@@ -22,6 +22,5 @@
     format is also supported.
     This allows you to interface <application>PyKota</application> with third party tools like
-    <application>phpPrintAnalyzer</application> which is a logfile analyzer for <application>CUPS</application>,
-    even in the case where you use <application>LPRng</application> instead of <application>CUPS</application>.
+    <application>phpPrintAnalyzer</application> which is a logfile analyzer for <application>CUPS</application>.
   </para>  
   
Index: pykota/trunk/untested/README
===================================================================
--- pykota/trunk/untested/README (revision 2303)
+++ pykota/trunk/untested/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/README
===================================================================
--- pykota/trunk/README (revision 2471)
+++ pykota/trunk/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003-2004 Jerome Alet <alet@librelogiciel.com>
@@ -45,6 +45,7 @@
         - Supports both CUPS and LPRng as the printing system.
           NB : LPRng is only supported with versions 
-	  of PyKota <= v1.22HotFix1, but support for LPRng 
-	  may be reintroduced at a later date.
+          of PyKota <= v1.22HotFix1, but support for LPRng 
+          may be reintroduced at a later date.
+          This version DOES NOT support LPRng !
        
     Databases :
@@ -335,5 +336,5 @@
   You need to have the following tools installed on the CUPS Server :
   
-    - CUPS (http://www.cups.org) or LPRng (http://www.lprng.com)
+    - CUPS (http://www.cups.org)
     - Python v2.1 or above (http://www.python.org)
     - eGenix' mxDateTime Python extension (http://www.egenix.com)
@@ -600,26 +601,8 @@
   - LPRng Printing System :
   
-    For each printer on which you want to use PyKota :
-    
-        Modify the printer's entry in /etc/printcap : you have to add
-        the three following lines :
-        
-          :achk=true:\
-          :as=/usr/share/pykota/lprngpykota:\
-          :ae=/usr/share/pykota/lprngpykota:\
-          
-        This will tell LPRng to activate accounting, and use the lprngpykota 
-        accounting filter both at the start and at the end of printing. 
-        
-    When all modifications are done, just save the /etc/printcap file and    
-    restart LPRng :
-    
-          $ /etc/init.d/lprng restart
-          
-        or :    
-      
-          $ /etc/rc.d/init.d/lprng restart
-          
-        or any similar command depending on your operating system.  
+    IMPORTANT : This release of PyKota DOES NOT support LPRng.
+    
+    If you want to use PyKota with LPRng, you have to download
+    an earlier release of PyKota, for example v1.22HotFix1.
         
 Now you can begin to populate the PyKota's database with printers,
@@ -666,12 +649,8 @@
     to obtain a similar result (warning message when quota is low).
 
-Restart CUPS or LPRng, for example under Debian GNU/Linux systems :          
+Restart CUPS, for example under Debian GNU/Linux systems :          
 
     $ /etc/init.d/cupsys restart
     
-  or :
-  
-    $ /etc/init.d/lprng restart
-        
 Your users now should be able to print but not exceed their 
 printing quota.
Index: pykota/trunk/CREDITS
===================================================================
--- pykota/trunk/CREDITS (revision 2473)
+++ pykota/trunk/CREDITS (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/TODO
===================================================================
--- pykota/trunk/TODO (revision 2462)
+++ pykota/trunk/TODO (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/SECURITY
===================================================================
--- pykota/trunk/SECURITY (revision 2303)
+++ pykota/trunk/SECURITY (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/cgi-bin/README
===================================================================
--- pykota/trunk/cgi-bin/README (revision 2303)
+++ pykota/trunk/cgi-bin/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/bin/README
===================================================================
--- pykota/trunk/bin/README (revision 2303)
+++ pykota/trunk/bin/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/initscripts/ldap/README.ldap
===================================================================
--- pykota/trunk/initscripts/ldap/README.ldap (revision 2361)
+++ pykota/trunk/initscripts/ldap/README.ldap (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/initscripts/postgresql/README.postgresql
===================================================================
--- pykota/trunk/initscripts/postgresql/README.postgresql (revision 2452)
+++ pykota/trunk/initscripts/postgresql/README.postgresql (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/initscripts/mysql/README.mysql
===================================================================
--- pykota/trunk/initscripts/mysql/README.mysql (revision 2303)
+++ pykota/trunk/initscripts/mysql/README.mysql (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/initscripts/README
===================================================================
--- pykota/trunk/initscripts/README (revision 2303)
+++ pykota/trunk/initscripts/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/man/README
===================================================================
--- pykota/trunk/man/README (revision 2303)
+++ pykota/trunk/man/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003-2004 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 2474)
+++ pykota/trunk/NEWS (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/stylesheets/README
===================================================================
--- pykota/trunk/stylesheets/README (revision 2303)
+++ pykota/trunk/stylesheets/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/stylesheets/pykota.css
===================================================================
--- pykota/trunk/stylesheets/pykota.css (revision 2303)
+++ pykota/trunk/stylesheets/pykota.css (revision 2478)
@@ -1,4 +1,4 @@
 /* 
-  PyKota - Print Quota for CUPS and LPRng
+  PyKota - Print Quotas for CUPS and LPRng
   
   (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>
Index: pykota/trunk/po/README
===================================================================
--- pykota/trunk/po/README (revision 2303)
+++ pykota/trunk/po/README (revision 2478)
@@ -1,5 +1,5 @@
 # $Id$
 
-PyKota - Print Quota for CUPS and LPRng
+PyKota - Print Quotas for CUPS and LPRng
 
 (c) 2003, 2004, 2005 Jerome Alet <alet@librelogiciel.com>