Index: pykota/trunk/man/pt/autopykota.1
===================================================================
--- pykota/trunk/man/pt/autopykota.1 (revision 2453)
+++ pykota/trunk/man/pt/autopykota.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH AUTOPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.23alpha30_unofficial
+autopykota \- page de manuel de autopykota 1.23beta_unofficial
 .SH DESCRIPTION
-autopykota v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to automate user account creation and initial balance setting.
Index: pykota/trunk/man/pt/edpykota.1
===================================================================
--- pykota/trunk/man/pt/edpykota.1 (revision 2454)
+++ pykota/trunk/man/pt/edpykota.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.23alpha30_unofficial
+edpykota \- page de manuel de edpykota 1.23beta_unofficial
 .SH DESCRIPTION
-edpykota v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
Index: pykota/trunk/man/pt/pkbanner.1
===================================================================
--- pykota/trunk/man/pt/pkbanner.1 (revision 2453)
+++ pykota/trunk/man/pt/pkbanner.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PKBANNER "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.23alpha30_unofficial
+pkbanner \- page de manuel de pkbanner 1.23beta_unofficial
 .SH DESCRIPTION
-pkbanner v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
Index: pykota/trunk/man/pt/pkprinters.1
===================================================================
--- pykota/trunk/man/pt/pkprinters.1 (revision 2465)
+++ pykota/trunk/man/pt/pkprinters.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.23alpha31_unofficial
+pkprinters \- page de manuel de pkprinters 1.23beta_unofficial
 .SH DESCRIPTION
-pkprinters v1.23alpha31_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
Index: pykota/trunk/man/pt/pykotme.1
===================================================================
--- pykota/trunk/man/pt/pykotme.1 (revision 2453)
+++ pykota/trunk/man/pt/pykotme.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.23alpha30_unofficial
+pykotme \- page de manuel de pykotme 1.23beta_unofficial
 .SH DESCRIPTION
-pykotme v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/pt/pykosd.1
===================================================================
--- pykota/trunk/man/pt/pykosd.1 (revision 2453)
+++ pykota/trunk/man/pt/pykosd.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PYKOSD "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.23alpha30_unofficial
+pykosd \- page de manuel de pykosd 1.23beta_unofficial
 .SH DESCRIPTION
-pykosd v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 An OSD quota monitor for PyKota.
Index: pykota/trunk/man/pt/pkbcodes.1
===================================================================
--- pykota/trunk/man/pt/pkbcodes.1 (revision 2484)
+++ pykota/trunk/man/pt/pkbcodes.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PKBCODES "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbcodes \- page de manuel de pkbcodes 1.23alpha30_unofficial
+pkbcodes \- page de manuel de pkbcodes 1.23beta_unofficial
 .SH DESCRIPTION
-pkbcodes v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkbcodes v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A billing codes Manager for PyKota.
Index: pykota/trunk/man/pt/pkturnkey.1
===================================================================
--- pykota/trunk/man/pt/pkturnkey.1 (revision 2467)
+++ pykota/trunk/man/pt/pkturnkey.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PKTURNKEY "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkturnkey \- page de manuel de pkturnkey 1.23alpha31_unofficial
+pkturnkey \- page de manuel de pkturnkey 1.23beta_unofficial
 .SH DESCRIPTION
-pkturnkey v1.23alpha31_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkturnkey v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A turn key tool for PyKota. When launched, this command will initialize
Index: pykota/trunk/man/pt/dumpykota.1
===================================================================
--- pykota/trunk/man/pt/dumpykota.1 (revision 2453)
+++ pykota/trunk/man/pt/dumpykota.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH DUMPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.23alpha30_unofficial
+dumpykota \- page de manuel de dumpykota 1.23beta_unofficial
 .SH DESCRIPTION
-dumpykota v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
Index: pykota/trunk/man/pt/pkmail.1
===================================================================
--- pykota/trunk/man/pt/pkmail.1 (revision 2453)
+++ pykota/trunk/man/pt/pkmail.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH PKMAIL "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.23alpha30_unofficial
+pkmail \- page de manuel de pkmail 1.23beta_unofficial
 .SH DESCRIPTION
-pkmail v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
Index: pykota/trunk/man/pt/repykota.1
===================================================================
--- pykota/trunk/man/pt/repykota.1 (revision 2453)
+++ pykota/trunk/man/pt/repykota.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.23alpha30_unofficial
+repykota \- page de manuel de repykota 1.23beta_unofficial
 .SH DESCRIPTION
-repykota v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+repykota v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/pt/warnpykota.1
===================================================================
--- pykota/trunk/man/pt/warnpykota.1 (revision 2453)
+++ pykota/trunk/man/pt/warnpykota.1 (revision 2493)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.23alpha30_unofficial
+warnpykota \- page de manuel de warnpykota 1.23beta_unofficial
 .SH DESCRIPTION
-warnpykota v1.23alpha30_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.23beta_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.