Index: pykota/trunk/man/es/autopykota.1
===================================================================
--- pykota/trunk/man/es/autopykota.1 (revision 2493)
+++ pykota/trunk/man/es/autopykota.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH AUTOPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH AUTOPYKOTA "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 autopykota \- page de manuel de autopykota 1.23beta_unofficial
Index: pykota/trunk/man/es/edpykota.1
===================================================================
--- pykota/trunk/man/es/edpykota.1 (revision 2516)
+++ pykota/trunk/man/es/edpykota.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH EDPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH EDPYKOTA "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 edpykota \- page de manuel de edpykota 1.23beta_unofficial
Index: pykota/trunk/man/es/pkbanner.1
===================================================================
--- pykota/trunk/man/es/pkbanner.1 (revision 2493)
+++ pykota/trunk/man/es/pkbanner.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKBANNER "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBANNER "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pkbanner \- page de manuel de pkbanner 1.23beta_unofficial
Index: pykota/trunk/man/es/pkprinters.1
===================================================================
--- pykota/trunk/man/es/pkprinters.1 (revision 2493)
+++ pykota/trunk/man/es/pkprinters.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKPRINTERS "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPRINTERS "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pkprinters \- page de manuel de pkprinters 1.23beta_unofficial
Index: pykota/trunk/man/es/pykotme.1
===================================================================
--- pykota/trunk/man/es/pykotme.1 (revision 2493)
+++ pykota/trunk/man/es/pykotme.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOTME "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOTME "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pykotme \- page de manuel de pykotme 1.23beta_unofficial
Index: pykota/trunk/man/es/pykosd.1
===================================================================
--- pykota/trunk/man/es/pykosd.1 (revision 2493)
+++ pykota/trunk/man/es/pykosd.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOSD "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOSD "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pykosd \- page de manuel de pykosd 1.23beta_unofficial
Index: pykota/trunk/man/es/pkbcodes.1
===================================================================
--- pykota/trunk/man/es/pkbcodes.1 (revision 2493)
+++ pykota/trunk/man/es/pkbcodes.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKBCODES "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBCODES "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pkbcodes \- page de manuel de pkbcodes 1.23beta_unofficial
Index: pykota/trunk/man/es/pkturnkey.1
===================================================================
--- pykota/trunk/man/es/pkturnkey.1 (revision 2504)
+++ pykota/trunk/man/es/pkturnkey.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKTURNKEY "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKTURNKEY "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pkturnkey \- page de manuel de pkturnkey 1.23beta_unofficial
Index: pykota/trunk/man/es/dumpykota.1
===================================================================
--- pykota/trunk/man/es/dumpykota.1 (revision 2493)
+++ pykota/trunk/man/es/dumpykota.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH DUMPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH DUMPYKOTA "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 dumpykota \- page de manuel de dumpykota 1.23beta_unofficial
Index: pykota/trunk/man/es/pkmail.1
===================================================================
--- pykota/trunk/man/es/pkmail.1 (revision 2493)
+++ pykota/trunk/man/es/pkmail.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKMAIL "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKMAIL "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pkmail \- page de manuel de pkmail 1.23beta_unofficial
Index: pykota/trunk/man/es/repykota.1
===================================================================
--- pykota/trunk/man/es/repykota.1 (revision 2493)
+++ pykota/trunk/man/es/repykota.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH REPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH REPYKOTA "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 repykota \- page de manuel de repykota 1.23beta_unofficial
Index: pykota/trunk/man/es/warnpykota.1
===================================================================
--- pykota/trunk/man/es/warnpykota.1 (revision 2493)
+++ pykota/trunk/man/es/warnpykota.1 (revision 2545)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH WARNPYKOTA "1" "septembre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH WARNPYKOTA "1" "octobre 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 warnpykota \- page de manuel de warnpykota 1.23beta_unofficial