Index: /pykota/trunk/docs/introduction.sgml
===================================================================
--- /pykota/trunk/docs/introduction.sgml (revision 2540)
+++ /pykota/trunk/docs/introduction.sgml (revision 2551)
@@ -109,5 +109,5 @@
         <listitem>
           <para>
-            A generic <acronym>CUPS</acronym> backend wrapper, named <filename>cupspykota</filename> :
+            A generic <acronym>CUPS</acronym> backend wrapper, named <command>cupspykota</command> :
             this software captures all print jobs passing through the print queues it manages,
             and does the accounting and quota checking. It can reject print jobs in a number
@@ -129,5 +129,5 @@
               <listitem>
                 <para>
-                  <filename>pkturnkey</filename> : to help you do the initial
+                  <command>pkturnkey</command> : to help you do the initial
                   configuration and database initialization. This command almost transforms <application>PyKota</application>
                   into a turn-key solution, hence the name.
@@ -136,25 +136,25 @@
               <listitem>
                 <para>
-                  <filename>pkprinters</filename> : to manage printers and printers groups.
-                </para>
-              </listitem>  
-              <listitem>
-                <para>
-                  <filename>edpykota</filename> : to manage users, users groups and quotas.
-                </para>
-              </listitem>  
-              <listitem>
-                <para>
-                  <filename>pkbcodes</filename> : to manage billing codes.
-                </para>
-              </listitem>  
-              <listitem>
-                <para>
-                  <filename>repykota</filename> : to do some basic print quota reporting.
-                </para>
-              </listitem>  
-              <listitem>
-                <para>
-                   <filename>dumpykota</filename> : to dump the database's contents in a portable
+                  <command>pkprinters</command> : to manage printers and printers groups.
+                </para>
+              </listitem>  
+              <listitem>
+                <para>
+                  <command>edpykota</command> : to manage users, users groups and quotas.
+                </para>
+              </listitem>  
+              <listitem>
+                <para>
+                  <command>pkbcodes</command> : to manage billing codes.
+                </para>
+              </listitem>  
+              <listitem>
+                <para>
+                  <command>repykota</command> : to do some basic print quota reporting.
+                </para>
+              </listitem>  
+              <listitem>
+                <para>
+                   <command>dumpykota</command> : to dump the database's contents in a portable
                    way. This command can be used to export <application>PyKota</application>'s
                    datas to third party software, like print log analyzers or spreadsheets, and
@@ -164,5 +164,5 @@
               <listitem>
                 <para>
-                   <filename>autopykota</filename> : to automate the creation of user print accounts on
+                   <command>autopykota</command> : to automate the creation of user print accounts on
                    first print. This command is not meant to be used from the command line, but
                    instead from <filename>pykota.conf</filename>'s <literal>policy</literal> directive.
@@ -171,5 +171,5 @@
               <listitem>
                 <para>
-                  <filename>pykosd</filename> : to display their remaining credits or
+                  <command>pykosd</command> : to display their remaining credits or
                   pages to end users. This is an <acronym>OSD</acronym> <footnote><para>On Screen Display</para></footnote>
                   application which works under the X Window system.
@@ -178,5 +178,5 @@
               <listitem>
                 <para>
-                  <filename>pykotme</filename> : to give detailed quotes to end users before they print, this way
+                  <command>pykotme</command> : to give detailed quotes to end users before they print, this way
                   they know in advance how much a print job will cost to them and can decide to route it to
                   a less costly printer.
@@ -185,5 +185,5 @@
               <listitem>
                 <para>
-                   <filename>pkbanner</filename> : to generate dynamic banner pages when printing.
+                   <command>pkbanner</command> : to generate dynamic banner pages when printing.
                    This command is
                    not meant to be used from the command line, but
@@ -195,5 +195,5 @@
               <listitem>
                 <para>
-                  <filename>warnpykota</filename> : to warn users over quota from time to time, for example
+                  <command>warnpykota</command> : to warn users over quota from time to time, for example
                   from <filename>crontab</filename>. Users are warned while printing in any case, so
                   this command is meant to be used as a periodic reminder.
@@ -202,5 +202,5 @@
               <listitem>
                 <para>
-                  <filename>pkmail</filename> : to let users obtain their print quota situation by email.
+                  <command>pkmail</command> : to let users obtain their print quota situation by email.
                   In the future other functionnalities will be added.
                   This command is not meant to be used from the command line, but
@@ -220,5 +220,5 @@
               <listitem>
                 <para>
-                  <filename>printquota.cgi</filename> : to do basic print quota reports like repykota, 
+                  <command>printquota.cgi</command> : to do basic print quota reports like repykota, 
                   and also to examine the printing history, which is not possible with repykota for now.
                 </para>
@@ -226,5 +226,5 @@
               <listitem>
                 <para>
-                  <filename>dumpykota.cgi</filename> : identical to the <filename>dumpykota</filename>
+                  <command>dumpykota.cgi</command> : identical to the <command>dumpykota</command>
                   command line tool, but works from within a web browser.
                 </para>
@@ -232,5 +232,5 @@
               <listitem>
                 <para>
-                  <filename>pykotme.cgi</filename> : identical to the <filename>pykotme</filename>
+                  <command>pykotme.cgi</command> : identical to the <command>pykotme</command>
                   command line tool, but works from within a web browser.
                 </para>
Index: /pykota/trunk/docs/scripts.sgml
===================================================================
--- /pykota/trunk/docs/scripts.sgml (revision 2147)
+++ /pykota/trunk/docs/scripts.sgml (revision 2551)
@@ -28,5 +28,5 @@
     
     <para>
-      <filename>waitprinter.sh</filename> can be used to be sure that <application>PyKota</application>
+      <command>waitprinter.sh</command> can be used to be sure that <application>PyKota</application>
       waits until no job is being printed, and no paper sheet is travelling inside the printer. 
     </para>
@@ -56,5 +56,5 @@
     
     <para>
-      <filename>papwaitprinter.sh</filename> can be used to be sure that <application>PyKota</application>
+      <command>papwaitprinter.sh</command> can be used to be sure that <application>PyKota</application>
       waits until no job is being printed, and no paper sheet is travelling inside the printer. 
     </para>  
Index: /pykota/trunk/docs/pykotme.sgml
===================================================================
--- /pykota/trunk/docs/pykotme.sgml (revision 2381)
+++ /pykota/trunk/docs/pykotme.sgml (revision 2551)
@@ -41,6 +41,6 @@
   <para>
     <command>pykotme</command>'s functionnality is also available through the
-    use of the <filename>pykotme.cgi</filename> <acronym>CGI</acronym> script.
-    However without authentication <filename>pykotme.cgi</filename> will only
+    use of the <command>pykotme.cgi</command> <acronym>CGI</acronym> script.
+    However without authentication <command>pykotme.cgi</command> will only
     return the print job's size and not its cost, because the cost depends on
     the value of the user's overcharging factor and the printer being used. 
@@ -48,5 +48,5 @@
     obtain the same functionnality with the <acronym>CGI</acronym> script than 
     with the command line tool, you must configure your web server to force
-    users to authenticate whevenver they access to <filename>pykotme.cgi</filename>.
+    users to authenticate whevenver they access to <command>pykotme.cgi</command>.
     Then they will be able to choose one or more printers (all by default), 
     and also to enter their username,
Index: /pykota/trunk/docs/pkbcodes.sgml
===================================================================
--- /pykota/trunk/docs/pkbcodes.sgml (revision 2541)
+++ /pykota/trunk/docs/pkbcodes.sgml (revision 2551)
@@ -6,5 +6,30 @@
   
   <para>
+    Some people like lawyers for example need to be able to invoice their own clients
+    for printouts. To address such needs, <application>CUPS</application> features
+    the possibility to attach a particular billing code to each print job, and of course,
+    <application>PyKota</application> can make use of it.
   </para>  
+  
+  <para>
+    To use a billing code when printing, you have to pass an additionnal argument to the 
+    <command>lp</command> command, for example for a client named <literal>smith</literal>
+    this could be something like :
+    <screen>
+$ lp -o job-billing=smith the_file_to_print.ps
+    </screen>
+  </para>
+  
+  <para>
+    For <application>PyKota</application> to be able to maintain statistics
+    per billing code, you first have to add these billing codes to <application>PyKota</application>'s
+    database. This is the main goal of the <command>pkbcodes</command> command line tool.
+  </para>
+  
+  <para>
+    But <command>pkbcodes</command> also allows you to add a textual description to each billing
+    code, to delete them, to reset billing code specific counters, and finally to list
+    existing billing codes.
+  </para>
   
   <sect1>
@@ -12,5 +37,5 @@
     <para>
       <cmdsynopsis>
-        <command>pkmail</command>
+        <command>pkbcodes</command>
         <group choice="opt"><arg>-v</arg><arg>--version</arg></group>
         <group choice="opt"><arg>-h</arg><arg>--help</arg></group>
Index: /pykota/trunk/docs/pkturnkey.sgml
===================================================================
--- /pykota/trunk/docs/pkturnkey.sgml (revision 2541)
+++ /pykota/trunk/docs/pkturnkey.sgml (revision 2551)
@@ -1,3 +1,3 @@
-<!-- $Id: -->
+<!-- $Id$ -->
 
 <chapter>
Index: /pykota/trunk/docs/repykota.sgml
===================================================================
--- /pykota/trunk/docs/repykota.sgml (revision 2147)
+++ /pykota/trunk/docs/repykota.sgml (revision 2551)
@@ -83,5 +83,5 @@
     <para>
       <application>PyKota</application> also features a CGI script to remotely access
-      to print quota reports with a web browser, it is called <filename>printquota.cgi</filename>
+      to print quota reports with a web browser, it is called <command>printquota.cgi</command>
       and you can put it in your web server's <filename>cgi-bin</filename> directory if a web server is installed on
       any machine on which <application>PyKota</application> is also installed and configured
@@ -97,5 +97,5 @@
     
     <para>
-      You can find <filename>printquota.cgi</filename> in the <filename>pykota/cgi-bin</filename>
+      You can find <command>printquota.cgi</command> in the <filename>pykota/cgi-bin</filename>
       directory. Here's how to install it, provided that your web server's <filename>cgi-bin</filename>
       directory is <filename>/usr/lib/cgi-bin</filename> :
Index: /pykota/trunk/docs/pkprinters.sgml
===================================================================
--- /pykota/trunk/docs/pkprinters.sgml (revision 2550)
+++ /pykota/trunk/docs/pkprinters.sgml (revision 2551)
@@ -6,5 +6,5 @@
   
   <para>
-    <filename>pkprinters</filename> is the preferred tool to manage printers in <application>PyKota</application>.  
+    <command>pkprinters</command> is the preferred tool to manage printers in <application>PyKota</application>.  
     It only manages printers, and do it well. With it you can add or delete printers or printer groups, or modify
     existing printers or printers groups. This is also the tool to use to put printers into one or more printers groups.
@@ -15,6 +15,6 @@
     is to add into <application>PyKota</application>'s database an entry for each of the print queues on
     which you want to have print quota or accounting.
-    Although the <filename>pkturnkey</filename> command can be used to initialize your database and import
-    printers into it, the <filename>pkprinters</filename> command offers additionnal functionnalities
+    Although the <command>pkturnkey</command> command can be used to initialize your database and import
+    printers into it, the <command>pkprinters</command> command offers additionnal functionnalities
     like full management of printers.
   </para>
Index: /pykota/trunk/docs/installation.sgml
===================================================================
--- /pykota/trunk/docs/installation.sgml (revision 2478)
+++ /pykota/trunk/docs/installation.sgml (revision 2551)
@@ -606,5 +606,5 @@
     
     <para>
-       You can check that all needed software is installed by launching the <filename>checkdeps.py</filename>
+       You can check that all needed software is installed by launching the <command>checkdeps.py</command>
        command :
       <screen>      
@@ -771,5 +771,5 @@
       
       <para>
-        You just have to create a symbolic link to the <filename>cupspykota</filename>
+        You just have to create a symbolic link to the <command>cupspykota</command>
         command in <application>CUPS</application>' backend directory :
         <screen>        
Index: /pykota/trunk/docs/pykosd.sgml
===================================================================
--- /pykota/trunk/docs/pykosd.sgml (revision 2147)
+++ /pykota/trunk/docs/pykosd.sgml (revision 2551)
@@ -6,10 +6,10 @@
   
   <para>
-    <filename>pykosd</filename> is a graphical <application>X Window</application> application which when launched 
+    <command>pykosd</command> is a graphical <application>X Window</application> application which when launched 
     will display print quota information for the current user.
   </para>  
   
   <para>
-    Whenever you launch <filename>pykosd</filename>, it will display the current user's print quota
+    Whenever you launch <command>pykosd</command>, it will display the current user's print quota
     information in the top-left corner of the screen, above all existing windows, and with
     a transparent background. 
Index: /pykota/trunk/docs/pkmail.sgml
===================================================================
--- /pykota/trunk/docs/pkmail.sgml (revision 2147)
+++ /pykota/trunk/docs/pkmail.sgml (revision 2551)
@@ -1,3 +1,3 @@
-<!-- $Id: -->
+<!-- $Id$ -->
 
 <chapter>
Index: /pykota/trunk/docs/filterpykota.sgml
===================================================================
--- /pykota/trunk/docs/filterpykota.sgml (revision 2478)
+++ /pykota/trunk/docs/filterpykota.sgml (revision 2551)
@@ -22,5 +22,5 @@
     A filter is a computer program which takes data in one format as its input, and outputs the
     same data but transformed into another format. <application>CUPS</application> already
-    contains many filters. For example there's one filter named <filename>pstops</filename> which accepts 
+    contains many filters. For example there's one filter named <command>pstops</command> which accepts 
     PostScript data as its input, and, as its name implies, outputs PostScript data too, but after having
     eventually rearranged the pages to fit several pages on a single sheet of paper, or other manipulations
@@ -29,5 +29,5 @@
   
   <para>
-    The <filename>pstops</filename> filter described above is also in charge of doing basic page
+    The <command>pstops</command> filter described above is also in charge of doing basic page
     accounting, but <application>PyKota</application> currently doesn't use this facility since it may
     prove to be unreliable depending on the drivers used or if a paper jam occurs for example.
@@ -36,5 +36,5 @@
   <para>
     So to do its own accounting, <application>PyKota</application> has its own filters, for <application>CUPS</application>
-    it's named <filename>cupspykota</filename>, which is in fact a <application>CUPS</application> backends wrapper.
+    it's named <command>cupspykota</command>, which is in fact a <application>CUPS</application> backends wrapper.
     The procedure to plug the correct filter into your printing system is described in the 
     <xref linkend="installation" endterm="installation"> chapter.
@@ -42,7 +42,7 @@
   
   <para>
-    Currently with a <application>CUPS</application> internal accounting mechanism, the <filename>pstops</filename>
+    Currently with a <application>CUPS</application> internal accounting mechanism, the <command>pstops</command>
     filter can be bypassed. That's why <application>PyKota</application> uses its own backend.
-    The <filename>cupspykota</filename> backend wrapper ensures that jobs can't bypass it, so you can use
+    The <command>cupspykota</command> backend wrapper ensures that jobs can't bypass it, so you can use
     any printer with any driver and any command line option, and you can be sure that your
     print job will be correctly accounted for.
Index: /pykota/trunk/docs/dumpykota.sgml
===================================================================
--- /pykota/trunk/docs/dumpykota.sgml (revision 2478)
+++ /pykota/trunk/docs/dumpykota.sgml (revision 2551)
@@ -88,5 +88,5 @@
   <para>
     Finally, <command>dumpykota</command>'s functionnality is now also available remotely through
-    the use of the <filename>dumpykota.cgi</filename> <acronym>CGI</acronym> script.
+    the use of the <command>dumpykota.cgi</command> <acronym>CGI</acronym> script.
   </para>
   