Index: pykota/trunk/conf/pykotadmin.conf.sample
===================================================================
--- pykota/trunk/conf/pykotadmin.conf.sample (revision 2418)
+++ pykota/trunk/conf/pykotadmin.conf.sample (revision 2576)
@@ -58,10 +58,18 @@
 [global]
 
-# Quota Storage administrator's name and password
+# PostgreSQL's Quota Storage administrator's name and password
+# Please comment these lines out and see further below if you use LDAP.
 storageadmin: pykotaadmin
 # storageadminpw: Comment out if unused, or set to Quota Storage admin password
+
 
 # storagebackend: ldapstorage
 # storageserver: ldap://ldapmaster.example.com:389
 # storagename: dc=example,dc=com
+#
+# NB : the user and password below are the ones contained in 
+# the sample LDIF file pykota/initscripts/ldap/pykota-sample.ldif
+# Please adapt these lines to your own needs.
+# storageadmin: cn=pykotaadmin,dc=example,dc=com
+# storageadminpw: BlfUPg7t
 
Index: pykota/trunk/conf/pykota.conf.sample
===================================================================
--- pykota/trunk/conf/pykota.conf.sample (revision 2476)
+++ pykota/trunk/conf/pykota.conf.sample (revision 2576)
@@ -101,6 +101,10 @@
 #storageserver: ldap://ldap.example.com:389
 #storagename: dc=example,dc=com
-#storageuser: cn=notadmin,dc=example,dc=com
-#storageuserpw: abc.123
+# 
+# NB : the user and password below are the ones contained in 
+# the sample LDIF file pykota/initscripts/ldap/pykota-sample.ldif
+# Please adapt these lines to your own needs.
+#storageuser: cn=pykotauser,dc=example,dc=com
+#storageuserpw: ls88DT5j
 #
 # TLS support for LDAP
Index: pykota/trunk/initscripts/ldap/pykota-sample.ldif
===================================================================
--- pykota/trunk/initscripts/ldap/pykota-sample.ldif (revision 2357)
+++ pykota/trunk/initscripts/ldap/pykota-sample.ldif (revision 2576)
@@ -10,4 +10,20 @@
 #
  
+# The encrypted password below in clear text is : BlfUPg7t
+dn: cn=pykotaadmin,dc=example,dc=com
+objectClass: simpleSecurityObject
+objectClass: organizationalRole
+cn: pykotaadmin
+description: PyKota Administrator
+userPassword:: e1NNRDV9WkdTNXlobUNaVFdkY0lZWDdrOFUxc1VGOHY0PQ==
+
+# The encrypted password below in clear text is : ls88DT5j
+dn: cn=pykotauser,dc=example,dc=com
+objectClass: simpleSecurityObject
+objectClass: organizationalRole
+cn: pykotauser
+description: PyKota ReadOnly User
+userPassword:: e1NNRDV9ZFZrRjJWOG1QWGo1L3pTQkplSS9TK0hpYURBPQ==
+
 dn: ou=People,dc=example,dc=com
 ou: People
Index: pykota/trunk/initscripts/ldap/README.ldap
===================================================================
--- pykota/trunk/initscripts/ldap/README.ldap (revision 2478)
+++ pykota/trunk/initscripts/ldap/README.ldap (revision 2576)
@@ -63,18 +63,35 @@
         index pykotaLastJobIdent eq
         
-    Now you must ensure that the DN you use to bind to    
+    Now you must ensure that the DNs PyKota will use to bind to
     your OpenLDAP server don't have search queries size limits,
     which gives for example (OpenLDAP 2.1.x or above) :
     
-        limits dn="cn=RWadmin,dc=example,dc=com" size.soft=-1 size.hard=soft
-        limits dn="cn=ROadmin,dc=example,dc=com" size.soft=-1 size.hard=soft
+        limits dn="cn=pykotaadmin,dc=example,dc=com" size.soft=-1 size.hard=soft
+        limits dn="cn=pykotauser,dc=example,dc=com" size.soft=-1 size.hard=soft
     
-    Where RWadmin and ROadmin are the usernames used to bind to your
-    OpenLDAP server within PyKota, respectively in ReadWrite mode 
+    Where pykotaadmin and pykotauser are the usernames used to bind to your
+    OpenLDAP server within PyKota, respectively in complete ReadWrite mode 
     (as set in pykotadmin.conf) and in ReadOnly mode (pykota.conf).
     
-    Finally, restart the OpenLDAP server :    
+    NB : YOU have to define the ACLs necessary for user pykotaadmin to
+    have unlimited Read+Write access to your LDAP tree, and for user
+    pykotauser to have unlimited ReadOnly access to your LDAP tree.
+    In the sentence above, "unlimited" means no limit with regard to
+    the number of records returned by a search operation. Of course
+    you may want to restrict the access to only some attributes, but
+    this is up to you to decide. That's why we don't suggest any
+    ACL there, at least for now.
     
-        $ /etc/init.d/slapd restart
+    Now, stop the OpenLDAP server :    
+    
+        $ /etc/init.d/slapd stop
+        
+    Generate the index files :    
+    
+        $ slapindex
+        
+    And finally restart the OpenLDAP server :    
+    
+        $ /etc/init.d/slapd start
 
 pykota-sample.ldif :
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 2562)
+++ pykota/trunk/NEWS (revision 2576)
@@ -22,4 +22,13 @@
 PyKota NEWS :
        
+    - 1.24alpha1 :
+    
+        - The sample LDIF file now contains the two necessary user
+          entries to have an LDAP PyKota Admin and an LDAP PyKota
+          ReadOnly user. The sample configuration files were updated
+          to contain the default passwords used in the LDIF file.
+          
+        - dumpykota is now more strict when checking arguments.   
+        
     - 1.23 :
     